classification
Title: Multiprocessing docs are not 3.0-ready
Type: Stage:
Components: Documentation Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: jnoller Nosy List: georg.brandl, jnoller, mishok13, roudkerk
Priority: normal Keywords: patch

Created on 2008-07-02 13:32 by mishok13, last changed 2008-12-05 10:13 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
examples.diff mishok13, 2008-07-07 22:20 Doc/includes/mp_* examples
issue3256.multiprocessing.rst.diff mishok13, 2008-07-23 15:33
Messages (11)
msg69090 - (view) Author: Andrii V. Mishkovskyi (mishok13) Date: 2008-07-02 13:32
Multiprocessing docs contain examples, that are not valid py3k code,
mostly because of print used as a statement. Example (taken from
multiprocessing.rst):

from multiprocessing import Process

def f(name):
    print 'hello', name

if __name__ == '__main__':
    p = Process(target=f, args=('bob',))
    p.start()
    p.join()

If no one is working on this already, than I'll start fixing this and
will present a patch in 2 or 3 days.
msg69091 - (view) Author: Jesse Noller (jnoller) * (Python committer) Date: 2008-07-02 13:42
If you're willing to make the patch - I can review and submit. I 
appreciate it
msg69401 - (view) Author: Andrii V. Mishkovskyi (mishok13) Date: 2008-07-07 22:20
So, after 5 days of silence I present my current status on the patch.
This patch fixes Doc/includes/mp_*.py examples, except for the fact that
I couldn't make mp_distributing.py work, but I'm still working on this
issue.
msg69402 - (view) Author: Andrii V. Mishkovskyi (mishok13) Date: 2008-07-07 22:23
And this patch is for Doc/library/multiprocessing.rst. Still, there are
lot of issues, and as you none of you (Jesse or Richard) answered my
email, I'll post them tomorrow here. Right now, the patch. :)
msg69403 - (view) Author: Jesse Noller (jnoller) * (Python committer) Date: 2008-07-07 22:40
Thanks - sorry I didn't reply to the mail yet, had to deal with some  
other stuff first, I should be freed up tonight
msg69417 - (view) Author: Andrii V. Mishkovskyi (mishok13) Date: 2008-07-08 07:27
OK, then ignore the previous email, I'll send you a new one, with
updated questions.
msg70175 - (view) Author: Andrii V. Mishkovskyi (mishok13) Date: 2008-07-23 15:41
Here is the updated version of multiprocessing.rst patch. Not much has
changes, as you can see (if you've seen the previous version, of course
;) ).
I have only one question left about multiprocessing.rst, it's about
'allow_connection_pickling' function -- should documentation cover this
function or just leave it as it is?
The only issue I still have is mp_distributing.py example, which is not
properly documented.
Jesse, I think you should review both patches and leave this issue open
until mp_distributing.py is documented. If you have any questions --
ping me on #python-dev.
msg70215 - (view) Author: Andrii V. Mishkovskyi (mishok13) Date: 2008-07-24 16:57
btw, some of the docstrings are also outdated, e.g. Pool.imap, Pool.map,
etc. Should I handle this one too?
msg70217 - (view) Author: Jesse Noller (jnoller) * (Python committer) Date: 2008-07-24 17:26
that's your call Andrii
msg70224 - (view) Author: Andrii V. Mishkovskyi (mishok13) Date: 2008-07-24 20:48
OK, I'll work on this too. :) Patch should be ready by Monday.
msg76998 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-12-05 10:13
The docstrings are now fixed too.
History
Date User Action Args
2008-12-05 10:13:20georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg76998
2008-07-24 20:48:28mishok13setmessages: + msg70224
2008-07-24 17:26:33jnollersetmessages: + msg70217
2008-07-24 16:57:25mishok13setmessages: + msg70215
2008-07-23 15:43:38mishok13setmessages: + msg70175
2008-07-23 15:34:05mishok13setfiles: + issue3256.multiprocessing.rst.diff
2008-07-23 15:33:27mishok13setfiles: - multiprocessing.rst.diff
2008-07-08 07:27:56mishok13setmessages: + msg69417
2008-07-07 22:40:03jnollersetmessages: + msg69403
2008-07-07 22:23:20mishok13setfiles: + multiprocessing.rst.diff
messages: + msg69402
2008-07-07 22:20:42mishok13setfiles: + examples.diff
keywords: + patch
messages: + msg69401
2008-07-02 14:10:31benjamin.petersonsetassignee: georg.brandl -> jnoller
2008-07-02 13:42:32jnollersetmessages: + msg69091
2008-07-02 13:32:18mishok13create